<div class="table-head-column">
  <div class="table-head-column-sortable"
       [attr.role]="isSortable ? 'button' : 'div'"
       (click)="changeSort(column)">
    <ng-content></ng-content>
    <div *ngIf="isSortable"
         class="ms-4">
      <i [ngClass]="['table-head-column-sortable-icon', sortClassname(column)]"></i>
    </div>
  </div>

  <!-- Filterable -->
  <div *ngIf="isFilterable"
       class="table-head-column-filterable dropdown"
       role="button"
       ngbDropdown
       container="body"
       #myDrop="ngbDropdown">
    <i class="table-head-column-filterable-icon"
       [ngClass]="['table-head-column-filterable-icon', filterClassname(filterActive)]"
       ngbDropdownToggle></i>
    <div ngbDropdownMenu
         class="p-3"
         [style.minWidth.rem]="7"
         [style.maxWidth.rem]="20"
         [style.maxHeight.rem]="20"
         [style.overflowY]="'auto'">
      <!-- Filter Type Checkbox -->
      <ng-container *ngIf="filterType === 'checkbox'">
        <div *ngFor="let row of filterOptions; let last = last;"
             class="form-check"
             [ngClass]="[last ? 'mb-0' : '']">
          <input class="form-check-input"
                 type="checkbox"
                 [(ngModel)]="row.checked"
                 (change)="changeFilter(); myDrop.close();">
          <label class="form-check-label">
            {{ row.label }}
          </label>
        </div>
      </ng-container>
    </div>
  </div>
</div>